Bug 160486 - netatalk init script doesn't handle CNID_METAD_RUN=yes
netatalk init script doesn't handle CNID_METAD_RUN=yes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: netatalk (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-15 09:35 EDT by Frank Heldt
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 22:18:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Removes some old cruft from the spec file (2.39 KB, patch)
2005-06-17 08:17 EDT, Frank Heldt
no flags Details | Diff

  None (edit)
Description Frank Heldt 2005-06-15 09:35:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
The init script "/etc/init.d/atalk" does not take account of CNID_METAD_RUN=yes, defined in "/etc/atalk/netatalk.conf". "cnid_metad" is very important to prevent database corruptions in .AppleDB, so i consider this a bug.

BTW, the whole init script does look a little strange (what does ATALK_BGROUND give?).

Beside this, as a hint/wish: netatalk-2.0.3 is released and has some bugs fixed...

Version-Release number of selected component (if applicable):
netatalk-2.0.2-3

How reproducible:
Always

Steps to Reproduce:
1. Just look at /etc/init.d/atalk ...
  

Additional info:
Comment 1 Jason Vas Dias 2005-06-16 17:57:56 EDT
Yes, I agree - the old /etc/init.d/atalk had alot of inexplicable
features added by a maintainer who is no longer here.

I've now added netatalk-2.0.3-1 to rawhide . This uses the netatalk
distribution's initscript, which does not have these problems.

netatalk-2.0.3-1 should be in rawhide-20050617, and it can also be
downloaded from: http://people.redhat.com/~jvdias/netatalk/ . 

Please try out the new version - if there are no problems with it,
I'll get it added to fc4-updates shortly. Thank You!
 
Comment 2 Frank Heldt 2005-06-17 08:17:48 EDT
Created attachment 115604 [details]
Removes some old cruft from the spec file

Old atalk and some patches are not needed anymore with netatalk-2.0.3
Comment 3 Frank Heldt 2005-06-17 08:19:55 EDT
The new version works like a charm, thank you. (Tested with MacOSX 
10.3.9 and 10.4.1 on x86_64)

But while you're on it, why not remove some cruft from the 
netatalk.spec file (patch attached)
Comment 4 Rahul Sundaram 2005-09-05 01:57:12 EDT
Frank Heldt,

Kindly file a seperate bug report on the patch cleanup, Mixing several issues on
the same report is not a good practise. Closing this one
Comment 5 FX 2006-01-27 17:41:27 EST
(In reply to comment #1)
> I've now added netatalk-2.0.3-1 to rawhide . This uses the netatalk
> distribution's initscript, which does not have these problems.
> 
> netatalk-2.0.3-1 should be in rawhide-20050617, and it can also be
> downloaded from: http://people.redhat.com/~jvdias/netatalk/ . 
> 
> Please try out the new version - if there are no problems with it,
> I'll get it added to fc4-updates shortly. Thank You!

Well, it's still not in fc4-updates, and the netatalk currently in fc4 is really not usable (mainly because 
the cnid_metad is never started). Could you please do it?
Comment 6 Bill Nottingham 2006-09-21 22:18:05 EDT
Closing bugs in MODIFIED state from prior Fedora releases. If this bug persists
in a current Fedora release (such as Fedora Core 5 or later), please reopen and
set the version appropriately.

Note You need to log in before you can comment on or make changes to this bug.